package com.palmnest.application.dto.bo;

/**
 * @Author HIAPAD
 * @Description TODO
 * @Date 2019/2/25 9:32
 **/
public class VirServiceBO {

    private Long id;// 企业权限实体id(用于判断是修改还是新增操作)
    private String serviceId;// 服务id串
    private String serviceChildId;
    private Integer orgId;// 项目id
    private String virPermName;// 权限名称
    private Integer isGeneral;// 是否通用
    private Long creator;// 创建人
    private Integer permType;// 类型 0-企业权限 1-身份权限
    private Integer virId;// 企业ID
    private Integer checkRole;

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getVirPermName() {
        return virPermName;
    }

    public void setVirPermName(String virPermName) {
        this.virPermName = virPermName;
    }

    public Integer getIsGeneral() {
        return isGeneral;
    }

    public void setIsGeneral(Integer isGeneral) {
        this.isGeneral = isGeneral;
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getPermType() {
        return permType;
    }

    public void setPermType(Integer permType) {
        this.permType = permType;
    }

    public Integer getVirId() {
        return virId;
    }

    public void setVirId(Integer virId) {
        this.virId = virId;
    }

    public String getServiceChildId() {
        return serviceChildId;
    }

    public void setServiceChildId(String serviceChildId) {
        this.serviceChildId = serviceChildId;
    }

    public Integer getCheckRole() {
        return checkRole;
    }

    public void setCheckRole(Integer checkRole) {
        this.checkRole = checkRole;
    }
}
